"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Button = require("./Button.mock");

var _ = _interopRequireWildcard(require("."));

// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Atoms', module).add('Button Knobs', function () {
  return _react.default.createElement(_.ButtonVanilla, (0, _extends2.default)({}, _Button.primaryButton, {
    className: _Button.primaryButton.className
  }), "Submit");
}).addWithChapters('Buttons', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.ButtonVanilla, (0, _extends2.default)({}, _Button.primaryButton, {
          className: "hide-default-sample " + _Button.primaryButton.className
        }), "Submit");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Button Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Button.primaryButton, "Submit");
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Button.primaryButtonDisabled, "Submit");
      }
    }]
  }, {
    title: 'Secondary Button Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Button.secondaryButton, "Submit");
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Button.secondaryButtonDisabled, "Submit");
      }
    }]
  }]
});