"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _Image = _interopRequireDefault(require("../Image"));

describe('Image Component with styles', function () {
  var sampleProps = {
    src: 'http://abc.com',
    placeholderSrc: 'http://xyz.com',
    alt: 'ABC'
  };
  test('should render correctly and match snapshots', function () {
    var image = (0, _enzyme.shallow)(_react.default.createElement(_Image.default, sampleProps));
    expect(image).toMatchSnapshot();
  });
});