"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Input = require("./Input.mock");

var _ = _interopRequireWildcard(require("."));

// Import Vanilla Component to display markup and props
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Atoms', module).addWithChapters('Input', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.InputVanilla, {
          id: "username",
          label: "User Name",
          type: "text",
          name: "username"
        });
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Text Input',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Input.textInput);
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Input.textInputDisabled);
      }
    }]
  }]
});