"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = require("styled-components");

var styles = (0, _styledComponents.css)(["margin:0;outline:0;line-height:1.2rem;padding:0.6rem 1rem;font-size:1rem;border-radius:0.2rem;background-color:", ";border:1px solid ", ";color:", ";", ";", ";"], function (props) {
  return props.theme.fieldBackgroundColor;
}, function (props) {
  return props.theme.fieldBorderColor;
}, function (props) {
  return props.theme.fieldTextColor;
}, function (props) {
  return props.disabled ? "\n      background-color: " + props.theme.fieldBackgroundDisabledColor + ";\n      border-color: " + props.theme.fieldBorderDisabledColor + ";\n    " : '';
}, function (props) {
  return props.inheritedStyles ? props.inheritedStyles : '';
});
var _default = styles;
exports.default = _default;
module.exports = exports["default"];