"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

require("jest-styled-components");

var _Input = _interopRequireDefault(require("../Input"));

var _theme = _interopRequireDefault(require("../../../../styles/theme"));

describe('Input Styled component', function () {
  var theme = (0, _extends2.default)({}, _theme.default);
  test('should render correctly', function () {
    var input = (0, _enzyme.shallow)(_react.default.createElement(_Input.default, {
      theme: theme,
      value: 10,
      name: "userName"
    }));
    expect(input).toMatchSnapshot();
  });
});