"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = exports.Debug = void 0;

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _formik = require("formik");

var Debug = function Debug() {
  return _react.default.createElement("div", {
    style: {
      margin: '3rem 0',
      borderRadius: 4,
      background: '#f6f8fa',
      boxShadow: '0 0 1px  #eee inset'
    }
  }, _react.default.createElement("div", {
    style: {
      textTransform: 'uppercase',
      fontSize: 11,
      borderTopLeftRadius: 4,
      borderTopRightRadius: 4,
      fontWeight: 500,
      padding: '.5rem',
      background: '#555',
      color: '#fff',
      letterSpacing: '1px'
    }
  }, "Debug Mode - Form State"), _react.default.createElement(_formik.FormikConsumer, null, function (_ref) {
    var validationSchema = _ref.validationSchema,
        validate = _ref.validate,
        onSubmit = _ref.onSubmit,
        rest = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["validationSchema", "validate", "onSubmit"]);
    return _react.default.createElement("pre", {
      style: {
        fontSize: 12,
        padding: '.25rem .5rem',
        overflowX: 'scroll'
      }
    }, JSON.stringify(rest, null, 2));
  }));
};

exports.Debug = Debug;
var _default = Debug;
exports.default = _default;