"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _FieldSelect = require("../FieldSelect");

describe('FieldInput Component', function () {
  var FieldInput = '';
  test('should render correctly', function () {
    FieldInput = (0, _enzyme.shallow)(_react.default.createElement(_FieldSelect.FieldSelectVanilla, null));
    expect(FieldInput).toMatchSnapshot();
  });
  test('should render label correctly', function () {
    var props = {
      label: 'Select Fav Color',
      options: ['red', 'black', 'blue']
    };
    FieldInput = (0, _enzyme.render)(_react.default.createElement(_FieldSelect.FieldSelectVanilla, props));
    expect(FieldInput.find('label').text()).toEqual('Select Fav Color');
  });
  test('should render select tag', function () {
    var props = {
      options: ['red', 'black', 'blue']
    };
    FieldInput = (0, _enzyme.render)(_react.default.createElement(_FieldSelect.FieldSelectVanilla, props));
    expect(FieldInput.find('select')).toHaveLength(1);
  });
});