"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _InputChoice = require("./InputChoice.mock");

var _InputChoice2 = _interopRequireWildcard(require("./InputChoice"));

// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Molecules', module).addWithChapters('InputChoice', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.InputChoiceVanilla, (0, _extends2.default)({}, _InputChoice.checkbox, {
          id: "test",
          name: "test",
          className: "hide-default-sample"
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Checkbox Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.checkbox);
      }
    }, {
      title: 'Default Checked',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.defaultCheckedCheckbox);
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.disabledCheckbox);
      }
    }, {
      title: 'Checkbox with showLabelBeforeInput prop',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.checkboxWithLabelBeforeInput);
      }
    }]
  }, {
    title: 'InputRadio Variations',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.inputRadio);
      }
    }, {
      title: 'Default Checked',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.defaultCheckedInputRadio);
      }
    }, {
      title: 'Disabled',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.disabledInputRadio);
      }
    }, {
      title: 'Checkbox with showLabelBeforeInput prop',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_InputChoice2.default, _InputChoice.inputRadioWithLabelBeforeInput);
      }
    }]
  }]
});