"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

require("jest-styled-components");

var _InputChoice = _interopRequireDefault(require("../InputChoice"));

var _theme = _interopRequireDefault(require("../../../../styles/theme"));

describe('InputChoice', function () {
  var inputControl = '';
  var theme = (0, _extends2.default)({}, _theme.default);
  test('should render radio correctly', function () {
    inputControl = (0, _enzyme.shallow)(_react.default.createElement(_InputChoice.default, {
      theme: theme,
      type: "radio",
      id: "test_1",
      name: "test_1"
    }));
    expect(inputControl).toMatchSnapshot();
  });
  test('should render checkbox correctly', function () {
    inputControl = (0, _enzyme.shallow)(_react.default.createElement(_InputChoice.default, {
      theme: theme,
      type: "checkbox",
      id: "test_2",
      name: "test_2"
    }));
    expect(inputControl).toMatchSnapshot();
  });
});