"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _List = _interopRequireDefault(require("../List"));

var _Popover = require("./Popover.mock");

var _ = _interopRequireWildcard(require("."));

// import { action } from '@storybook/addon-actions';
// Import Styled Component to showcase variations
(0, _react2.storiesOf)('Molecules', module).addWithChapters('Popover', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.PopoverVanilla, (0, _extends2.default)({}, _Popover.hiddenPopover, {
          className: "hide-default-sample " + _Popover.hiddenPopover.className
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Popover Variations',
    sections: [{
      title: 'By default Visible variation',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Popover.defaultVisiblePopover, "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.");
      }
    }, {
      title: 'By default Invisible variation',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Popover.hiddenPopover, "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.");
      }
    }, {
      title: 'List Component as child variation',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Popover.ListPopover, _react.default.createElement("div", null, _react.default.createElement("p", null, "This text is a random text"), _react.default.createElement(_List.default, {
          ListType: "ol"
        }, _react.default.createElement("li", null, "This is ordered list item, content of tab 1."), _react.default.createElement("li", null, "This is ordered list item, content of tab 1.")), _react.default.createElement("p", null, "This is another random text")));
      }
    }, {
      title: 'Optional close button variation',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Popover.noCloseBtnPopover, "Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.");
      }
    }]
  }]
});