"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Tab = require("./Tab.mock");

var _List = require("../../List/List.mock");

var _ = _interopRequireWildcard(require("."));

var _List2 = _interopRequireDefault(require("../../List"));

// Import Styled Component to showcase variations
// To be used as wrapper Tab component as it returns plain <li></li>
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Molecules/Tabs', module).addWithChapters('Tab', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.TabVanilla, (0, _extends2.default)({}, _Tab.defaultActiveTab, {
          className: "hide-default-sample"
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Tab Variations',
    sections: [{
      title: 'Default Tabs',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_List2.default, _List.inlineUnorderedList, _react.default.createElement(_.default, _Tab.defaultActiveTab, "Tab 1"), _react.default.createElement(_.default, _Tab.defaultNonActiveTab, "Tab 2"));
      }
    }]
  }]
});