"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _TabPanel = require("./TabPanel.mock");

var _ = _interopRequireWildcard(require("."));

// import { action } from '@storybook/addon-actions';
// Import Styled Component to showcase variations
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Molecules/Tabs', module).addWithChapters('TabPanel', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.TabPanelVanilla, (0, _extends2.default)({}, _TabPanel.hiddenPanelConfig, {
          className: "hide-default-sample"
        }), "Tab panel content.");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary TabPanel Variations',
    sections: [{
      title: 'Selected panel',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _TabPanel.selectedPanelConfig, "Tab panel content.");
      }
    }]
  }]
});