"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.verticalTabs = exports.defaultTabs = void 0;

var _react = _interopRequireDefault(require("react"));

var _List = _interopRequireDefault(require("../List"));

var tabsContent = [{
  tabTitle: 'First tab',
  panelContent: _react.default.createElement(_List.default, {
    ListType: "ol"
  }, _react.default.createElement("li", null, "This is ordered list item, content of tab 1."), _react.default.createElement("li", null, "This is ordered list item, content of tab 1."))
}, {
  tabTitle: 'Second tab',
  panelContent: _react.default.createElement(_List.default, {
    ListType: "ul"
  }, _react.default.createElement("li", null, "This is unordered list item, content of tab 2."), _react.default.createElement("li", null, "This is unordered list item, content of tab 2."))
}];
var defaultTabs = {
  className: 'example',
  tabsContent: [].concat(tabsContent),
  tabsId: 'default-tab',
  initialSelectedIndex: 0
};
exports.defaultTabs = defaultTabs;
var verticalTabs = {
  className: 'example',
  tabsContent: [].concat(tabsContent),
  tabsId: 'vertical-tab',
  initialSelectedIndex: 0,
  isVerticalView: true,
  tabWrapClassName: 'col-xs-6 col-md-4 col-lg-3',
  panelWrapClassName: 'col-xs-6 col-md-8 col-lg-9'
};
exports.verticalTabs = verticalTabs;