import { css } from 'styled-components';
var ButtonStyles = css(["border:none;border-radius:0;background:none;position:relative;min-height:48px;cursor:", ";opacity:", ";", ";", ";", ";&:focus{outline:1px dashed ", ";}&:focus:not(.focus-visible){outline:none;}", ";"], function (props) {
  return props.disabled ? 'not-allowed' : 'pointer';
}, function (props) {
  return props.disabled ? '0.3' : '1';
}, function (props) {
  return props.primary ? "\n      background: " + props.theme.buttonBackgroundColorPrimary + " ;\n      color: " + props.theme.buttonColorPrimary + ";\n      font-size: " + props.theme.fontSizeButtonPrimary + ";\n      padding: 0 1rem;\n    " : '';
}, function (props) {
  return props.secondary ? "\n      background: " + props.theme.buttonBackgroundColorSecondary + " ;\n      color: " + props.theme.buttonColorSecondary + ";\n      font-size: " + props.theme.fontSizeButtonSecondary + ";\n      padding: 0 1rem;\n    " : '';
}, function (props) {
  return props.fullWidth ? "\n      width: 100% ;\n    " : '';
}, function (props) {
  return props.theme.colorOutline;
}, function (props) {
  return props.inheritedStyles ? props.inheritedStyles : '';
});
export default ButtonStyles;