import React from 'react';
import { storiesOf } from '@storybook/react';
import FieldError, { FieldErrorVanilla } from '.'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Atoms', module).addWithChapters('FieldError', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(FieldErrorVanilla, null, " Error Message ");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Input Field Error Message',
    sections: [{
      title: 'Default',
      sectionFn: function sectionFn() {
        return React.createElement(FieldError, null, " Error message Styled ");
      }
    }]
  }]
});