import React from 'react';
import { shallow } from 'enzyme';
import Image from '../Image';
describe('Image Component with styles', function () {
  var sampleProps = {
    src: 'http://abc.com',
    placeholderSrc: 'http://xyz.com',
    alt: 'ABC'
  };
  test('should render correctly and match snapshots', function () {
    var image = shallow(React.createElement(Image, sampleProps));
    expect(image).toMatchSnapshot();
  });
});