import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { shallow } from 'enzyme';
import 'jest-styled-components';
import Input from '../Input';
import Theme from '../../../../styles/theme';
describe('Input Styled component', function () {
  var theme = _extends({}, Theme);

  test('should render correctly', function () {
    var input = shallow(React.createElement(Input, {
      theme: theme,
      value: 10,
      name: "userName"
    }));
    expect(input).toMatchSnapshot();
  });
});