import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import styled from 'styled-components';
import styles from './Para.style';

var Para = function Para(_ref) {
  var children = _ref.children,
      className = _ref.className,
      inheritedStyles = _ref.inheritedStyles,
      others = _objectWithoutPropertiesLoose(_ref, ["children", "className", "inheritedStyles"]);

  return React.createElement("p", _extends({
    className: className
  }, others), children);
};

Para.defaultProps = {
  inheritedStyles: '',
  className: ''
};
export default styled(Para).withConfig({
  displayName: "Para",
  componentId: "sc-1hv5xqb-0"
})(["", ";"], styles);
export { Para as ParaVanilla };