import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { shallow } from 'enzyme';
import 'jest-styled-components';
import { SelectVanilla } from '../Select';
import Theme from '../../../../styles/theme';
describe('Select Styled component', function () {
  var theme = _extends({}, Theme);

  test('should render correctly', function () {
    var input = shallow(React.createElement(SelectVanilla, {
      theme: theme,
      name: "userType",
      options: ['Option 1', 'Option 2']
    }));
    expect(input).toMatchSnapshot();
  });
});