import React from 'react';
import { shallow, render } from 'enzyme';
import { FieldSelectVanilla } from '../FieldSelect';
describe('FieldInput Component', function () {
  var FieldInput = '';
  test('should render correctly', function () {
    FieldInput = shallow(React.createElement(FieldSelectVanilla, null));
    expect(FieldInput).toMatchSnapshot();
  });
  test('should render label correctly', function () {
    var props = {
      label: 'Select Fav Color',
      options: ['red', 'black', 'blue']
    };
    FieldInput = render(React.createElement(FieldSelectVanilla, props));
    expect(FieldInput.find('label').text()).toEqual('Select Fav Color');
  });
  test('should render select tag', function () {
    var props = {
      options: ['red', 'black', 'blue']
    };
    FieldInput = render(React.createElement(FieldSelectVanilla, props));
    expect(FieldInput.find('select')).toHaveLength(1);
  });
});