import React from 'react';
import { shallow, render } from 'enzyme';
import { FieldTextareaVanilla } from '../FieldTextarea';
describe('FieldTextarea Component', function () {
  var FieldTextarea = '';
  test('should render correctly', function () {
    FieldTextarea = shallow(React.createElement(FieldTextareaVanilla, null));
    expect(FieldTextarea).toMatchSnapshot();
  });
  test('should render label correctly', function () {
    var props = {
      label: 'Comment'
    };
    FieldTextarea = render(React.createElement(FieldTextareaVanilla, props));
    expect(FieldTextarea.find('label').text()).toEqual(props.label);
  });
  test('should render textarea tag', function () {
    FieldTextarea = render(React.createElement(FieldTextareaVanilla, null));
    expect(FieldTextarea.find('textarea')).toHaveLength(1);
  });
});