import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import { shallow } from 'enzyme';
import 'jest-styled-components';
import InputChoice from '../InputChoice';
import Theme from '../../../../styles/theme';
describe('InputChoice', function () {
  var inputControl = '';

  var theme = _extends({}, Theme);

  test('should render radio correctly', function () {
    inputControl = shallow(React.createElement(InputChoice, {
      theme: theme,
      type: "radio",
      id: "test_1",
      name: "test_1"
    }));
    expect(inputControl).toMatchSnapshot();
  });
  test('should render checkbox correctly', function () {
    inputControl = shallow(React.createElement(InputChoice, {
      theme: theme,
      type: "checkbox",
      id: "test_2",
      name: "test_2"
    }));
    expect(inputControl).toMatchSnapshot();
  });
});