import React from 'react';
import { storiesOf } from '@storybook/react'; // Import Vanilla Component to display markup and props

import Modal from './Modal'; // $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code

storiesOf('Molecules', module).addWithChapters('Modal', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return React.createElement(React.Fragment, null, React.createElement(Modal, {
          isOpen: true
        }, React.createElement("h2", null, "Hello World")));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }]
});