import React from "react";
import List from '../List';
var tabsContent = [{
  tabTitle: 'First tab',
  panelContent: React.createElement(List, {
    ListType: "ol"
  }, React.createElement("li", null, "This is ordered list item, content of tab 1."), React.createElement("li", null, "This is ordered list item, content of tab 1."))
}, {
  tabTitle: 'Second tab',
  panelContent: React.createElement(List, {
    ListType: "ul"
  }, React.createElement("li", null, "This is unordered list item, content of tab 2."), React.createElement("li", null, "This is unordered list item, content of tab 2."))
}];
var defaultTabs = {
  className: 'example',
  tabsContent: [].concat(tabsContent),
  tabsId: 'default-tab',
  initialSelectedIndex: 0
};
var verticalTabs = {
  className: 'example',
  tabsContent: [].concat(tabsContent),
  tabsId: 'vertical-tab',
  initialSelectedIndex: 0,
  isVerticalView: true,
  tabWrapClassName: 'col-xs-6 col-md-4 col-lg-3',
  panelWrapClassName: 'col-xs-6 col-md-8 col-lg-9'
};
export { defaultTabs, verticalTabs };