"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Anchor = require("./Anchor.mock");

var _ = _interopRequireWildcard(require("."));

// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Atoms', module).addWithChapters('Anchor', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.AnchorVanilla, (0, _extends2.default)({}, _Anchor.defaultAnchor, {
          className: "hide-default-sample " + _Anchor.defaultAnchor.className
        }), "Home");
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Anchor Variations',
    sections: [{
      title: 'Default Link',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Anchor.defaultAnchor, "Submit");
      }
    }, {
      title: 'Secondary Link',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Anchor.secondaryAnchor, "Submit");
      }
    }]
  }]
});