"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.secondaryButtonDisabled = exports.secondaryButton = exports.primaryButtonDisabled = exports.primaryButton = void 0;

var _react = _interopRequireDefault(require("react"));

var _addonActions = require("@storybook/addon-actions");

var primaryButton = {
  primary: true,
  className: 'example',
  onClick: (0, _addonActions.action)('clicked'),
  ariaLabel: 'Submit form'
};
exports.primaryButton = primaryButton;
var primaryButtonDisabled = {
  primary: true,
  className: 'example',
  onClick: (0, _addonActions.action)('clicked'),
  disabled: true
};
exports.primaryButtonDisabled = primaryButtonDisabled;
var secondaryButton = {
  secondary: true,
  className: 'example',
  onClick: (0, _addonActions.action)('clicked'),
  ariaLabel: 'Cancel form submit'
};
exports.secondaryButton = secondaryButton;
var secondaryButtonDisabled = {
  secondary: true,
  className: 'example',
  onClick: (0, _addonActions.action)('clicked'),
  disabled: true
};
exports.secondaryButtonDisabled = secondaryButtonDisabled;