"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = require("styled-components");

var ButtonStyles = (0, _styledComponents.css)(["border:none;border-radius:0;background:none;position:relative;min-height:48px;cursor:", ";opacity:", ";", ";", ";", ";&:focus{outline:1px dashed ", ";}&:focus:not(.focus-visible){outline:none;}", ";"], function (props) {
  return props.disabled ? 'not-allowed' : 'pointer';
}, function (props) {
  return props.disabled ? '0.3' : '1';
}, function (props) {
  return props.primary ? "\n      background: " + props.theme.buttonBackgroundColorPrimary + " ;\n      color: " + props.theme.buttonColorPrimary + ";\n      font-size: " + props.theme.fontSizeButtonPrimary + ";\n      padding: 0 1rem;\n    " : '';
}, function (props) {
  return props.secondary ? "\n      background: " + props.theme.buttonBackgroundColorSecondary + " ;\n      color: " + props.theme.buttonColorSecondary + ";\n      font-size: " + props.theme.fontSizeButtonSecondary + ";\n      padding: 0 1rem;\n    " : '';
}, function (props) {
  return props.fullWidth ? "\n      width: 100% ;\n    " : '';
}, function (props) {
  return props.theme.colorOutline;
}, function (props) {
  return props.inheritedStyles ? props.inheritedStyles : '';
});
var _default = ButtonStyles;
exports.default = _default;
module.exports = exports["default"];