"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Textarea = require("./Textarea.mock");

var _ = _interopRequireWildcard(require("."));

// Import Styled Component to showcase variations
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Atoms', module).addWithChapters('Textarea', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.TextareaVanilla, {
          id: "textarea",
          name: "textarea",
          className: "hide-default-sample"
        });
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Textarea Variations',
    sections: [{
      title: 'Default Textarea',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Textarea.defaultTextarea);
      }
    }, {
      title: 'Disabled Textarea',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Textarea.disabledTextarea);
      }
    }, {
      title: 'Textarea with placeholder',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Textarea.textareaWithPlaceholder);
      }
    }]
  }]
});