"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _FieldTextarea = require("../FieldTextarea");

describe('FieldTextarea Component', function () {
  var FieldTextarea = '';
  test('should render correctly', function () {
    FieldTextarea = (0, _enzyme.shallow)(_react.default.createElement(_FieldTextarea.FieldTextareaVanilla, null));
    expect(FieldTextarea).toMatchSnapshot();
  });
  test('should render label correctly', function () {
    var props = {
      label: 'Comment'
    };
    FieldTextarea = (0, _enzyme.render)(_react.default.createElement(_FieldTextarea.FieldTextareaVanilla, props));
    expect(FieldTextarea.find('label').text()).toEqual(props.label);
  });
  test('should render textarea tag', function () {
    FieldTextarea = (0, _enzyme.render)(_react.default.createElement(_FieldTextarea.FieldTextareaVanilla, null));
    expect(FieldTextarea.find('textarea')).toHaveLength(1);
  });
});