"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Form = require("./Form.mock");

var _Form2 = _interopRequireDefault(require("./Form"));

var _Button = _interopRequireDefault(require("../../atoms/Button"));

// Import Vanilla Component to display markup and props
// Import Styled Component to showcase variations
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Molecules', module).addWithChapters('Form', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_Form2.default, _Form.userFormProps, _react.default.createElement("div", null, _react.default.createElement(_Form2.default.Select, _Form.userFormSelectProps), _react.default.createElement(_Form2.default.Input, _Form.userFormNameInputProps), _react.default.createElement(_Form2.default.Input, _Form.userFormEmailProps), _react.default.createElement(_Form2.default.RadioGroup, _Form.userFormAgeGroupProps), _react.default.createElement(_Form2.default.Checkbox, _Form.userFormTnCProps), _react.default.createElement(_Form2.default.Textarea, _Form.userFormCommentProps)), _react.default.createElement(_Button.default, {
          primary: true,
          type: "submit"
        }, "Submit"));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }]
});