"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.ListVanilla = exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _List = _interopRequireDefault(require("./List.style"));

/**
 *
 * List
 *
 */
var List = function List(_ref) {
  var className = _ref.className,
      _ref$ListType = _ref.ListType,
      ListType = _ref$ListType === void 0 ? 'ul' : _ref$ListType,
      children = _ref.children,
      others = (0, _objectWithoutPropertiesLoose2.default)(_ref, ["className", "ListType", "children"]);
  return _react.default.createElement(ListType, (0, _extends2.default)({
    className: className
  }, others), children);
};

exports.ListVanilla = List;
List.defaultProps = {
  inheritedStyles: '',
  ListType: 'ul',
  className: '',
  borderSeparator: false,
  noDefaultView: false,
  inline: false,
  nested: false,
  noMargin: false
};

var _default = (0, _styledComponents.default)(List).withConfig({
  displayName: "List",
  componentId: "rp20fd-0"
})(["", ";"], _List.default);

exports.default = _default;