"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.inlineUnorderedList = exports.inlineBorderSeparatedUnorderedList = exports.nestedUnorderedList = exports.orderedList = exports.unorderedList = void 0;

var _react = _interopRequireDefault(require("react"));

var unorderedList = {
  ListType: 'ul',
  className: 'example'
};
exports.unorderedList = unorderedList;
var inlineUnorderedList = {
  ListType: 'ul',
  inline: true,
  noDefaultView: true
};
exports.inlineUnorderedList = inlineUnorderedList;
var inlineBorderSeparatedUnorderedList = {
  ListType: 'ul',
  inline: true,
  borderSeparator: true,
  noDefaultView: true
};
exports.inlineBorderSeparatedUnorderedList = inlineBorderSeparatedUnorderedList;
var nestedUnorderedList = {
  ListType: 'ul',
  nested: true,
  noDefaultView: true
};
exports.nestedUnorderedList = nestedUnorderedList;
var orderedList = {
  ListType: 'ol'
};
exports.orderedList = orderedList;