"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _List = require("./List.mock");

var _ = _interopRequireWildcard(require("."));

// Import Styled Component to showcase variations
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Molecules', module).addWithChapters('List', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.ListVanilla, (0, _extends2.default)({}, _List.unorderedList, {
          className: "hide-default-sample " + _List.unorderedList.className
        }), _react.default.createElement("li", {
          key: 1
        }, "This is list item"), _react.default.createElement("li", {
          key: 2
        }, "This is list item"), _react.default.createElement("li", {
          key: 3
        }, "This is list item"));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary List Variations',
    sections: [{
      title: 'Unordered List',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _List.unorderedList, _react.default.createElement("li", {
          key: 1
        }, "This is list item"), _react.default.createElement("li", {
          key: 2
        }, "This is list item"), _react.default.createElement("li", {
          key: 3
        }, "This is list item"));
      }
    }, {
      title: 'Ordered List',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _List.orderedList, _react.default.createElement("li", {
          key: 1
        }, "This is ordered list item."), _react.default.createElement("li", {
          key: 2
        }, "This is ordered list item."), _react.default.createElement("li", {
          key: 3
        }, "This is ordered list item."), _react.default.createElement("li", {
          key: 4
        }, "This is ordered list item."));
      }
    }, {
      title: 'Nested Unordered List',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _List.nestedUnorderedList, _react.default.createElement("li", {
          key: 1
        }, "This is list item"), _react.default.createElement("li", {
          key: 2
        }, _react.default.createElement(_.default, _List.orderedList, _react.default.createElement("li", {
          key: 3
        }, "This is nested list item."), _react.default.createElement("li", {
          key: 4
        }, "This is nested list item."))), _react.default.createElement("li", {
          key: 5
        }, "This is list item"));
      }
    }, {
      title: 'Inline Border Separated Unordered List',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _List.inlineBorderSeparatedUnorderedList, _react.default.createElement("li", {
          key: 1
        }, "This is list item"), _react.default.createElement("li", {
          key: 2
        }, "This is list item"), _react.default.createElement("li", {
          key: 3
        }, "This is list item"));
      }
    }]
  }]
});