"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = require("styled-components");

var _default = (0, _styledComponents.css)(["margin:0 0 10px 0;li{margin-bottom:10px;}", ";", ";", ";", ";", ";", ";"], function (props) {
  return props.nested ? "\n        li > ul, ol {\n          margin-left: 20px;\n        }\n      " : '';
}, function (props) {
  return props.inline ? "\n        li {\n          display: inline-block;\n        }\n      " : '';
}, function (props) {
  return props.noDefaultView ? "\n        list-style: none;\n        padding: 0;\n      " : '';
}, function (props) {
  return props.noMargin ? "\n        margin:0;\n        li{\n          margin: 0;\n        }\n      " : '';
}, function (props) {
  return props.borderSeparator ? "\n        padding: 0;\n        li{\n          padding: 0 10px;\n          margin: 0;\n          border-right: 1px solid " + props.theme.borderColorSecondary + ";\n        }\n        li:last-child{\n          border-right: 0 none;\n          padding-right: 0;\n        }\n        li:first-child{\n          padding-left: 0;\n        }\n      " : '';
}, function (props) {
  return props.inheritedStyles ? props.inheritedStyles : '';
});

exports.default = _default;
module.exports = exports["default"];