"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.noCloseBtnPopover = exports.ListPopover = exports.hiddenPopover = exports.defaultVisiblePopover = void 0;

var _react = _interopRequireDefault(require("react"));

var defaultVisiblePopover = {
  className: 'example',
  popOverHeader: "This is a popover header text",
  trigger: _react.default.createElement("button", null, "Click to Open"),
  isVisible: true
};
exports.defaultVisiblePopover = defaultVisiblePopover;
var hiddenPopover = {
  className: 'example',
  popOverHeader: "This is a popover header text",
  trigger: _react.default.createElement("button", null, "Click to Open"),
  isVisible: false
};
exports.hiddenPopover = hiddenPopover;
var ListPopover = {
  className: 'example',
  popOverHeader: "This is a popover header text",
  trigger: _react.default.createElement("button", null, "Click to Open")
};
exports.ListPopover = ListPopover;
var noCloseBtnPopover = {
  className: 'example',
  popOverHeader: "This is a popover header text",
  trigger: _react.default.createElement("button", null, "Click to Open"),
  isVisible: false,
  hidePopoverCloseBtn: true
};
exports.noCloseBtnPopover = noCloseBtnPopover;