"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@storybook/react");

var _Tabs = require("./Tabs.mock");

var _ = _interopRequireWildcard(require("."));

// Import Styled Component to showcase variations
// $FlowFixMe eslint-disable-next-line extra-rules/no-commented-out-code
(0, _react2.storiesOf)('Molecules/Tabs', module).addWithChapters('Tabs', {
  chapters: [{
    sections: [{
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.TabsVanilla, (0, _extends2.default)({}, _Tabs.defaultTabs, {
          className: "hide-default-sample " + _Tabs.defaultTabs.className
        }));
      },
      options: {
        showSource: true,
        allowSourceToggling: true,
        showPropTables: true,
        allowPropTablesToggling: true
      }
    }]
  }, {
    title: 'Primary Tabs Variations',
    sections: [{
      title: 'Horizontal Tabs',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Tabs.defaultTabs);
      }
    }, {
      title: 'Vertical Tabs',
      sectionFn: function sectionFn() {
        return _react.default.createElement(_.default, _Tabs.verticalTabs);
      }
    }]
  }]
});